﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_ACTIONENTRY') 
 CREATE TABLE T_MSISV_ACTIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPEID CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHACTION BIGINT DEFAULT 0 NOT NULL,
FUPDATEACTION BIGINT DEFAULT 0 NOT NULL,
FSERVICEACTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLASSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_ECOLOGICMONITOR_L') 
 CREATE TABLE T_MSISV_ECOLOGICMONITOR_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_MONITORLOG_L') 
 CREATE TABLE T_MSISV_MONITORLOG_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_MONITORTYPE_L') 
 CREATE TABLE T_MSISV_MONITORTYPE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_PUMATCHENTRY') 
 CREATE TABLE T_MSISV_PUMATCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATEOBJMATCHFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMATCHFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLMATCHFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLMATCHFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_PUOPERATEENTRY') 
 CREATE TABLE T_MSISV_PUOPERATEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_RELATEUPDATE_L') 
 CREATE TABLE T_MSISV_RELATEUPDATE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UNIONPUSH_L') 
 CREATE TABLE T_MSISV_UNIONPUSH_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UPASSIGNENTRY') 
 CREATE TABLE T_MSISV_UPASSIGNENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTARBILLASSIGNFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLASSIGNFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNMETHOD CHAR(1) DEFAULT 'A' NOT NULL,
FISNEGATE CHAR(1) DEFAULT '0' NOT NULL,
FRELATEOBJASSIGNFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJASSIGNFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UPMATCHENTRY') 
 CREATE TABLE T_MSISV_UPMATCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATEOBJMATCHFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMATCHFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLMATCHFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLMATCHFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_PUASSIGNENTRY') 
 CREATE TABLE T_MSISV_PUASSIGNENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTARBILLASSIGNFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLASSIGNFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNMETHOD CHAR(1) DEFAULT 'A' NOT NULL,
FISNEGATE CHAR(1) DEFAULT '0' NOT NULL,
FRELATEOBJASSIGNFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJASSIGNFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_MONITORLOG') 
 CREATE TABLE T_MSISV_MONITORLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEXETIME DATETIME,
FENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIONNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISFINISH CHAR(1) DEFAULT '0' NOT NULL,
FISSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FLOG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_MONITORTYPE') 
 CREATE TABLE T_MSISV_MONITORTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_RELATEUPDATE') 
 CREATE TABLE T_MSISV_RELATEUPDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOROBJ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARBILLFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARBILLFILTERFORMULA_TAG NCLOB,
FTARBILLFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARBILLFILTERJSON_TAG NCLOB,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRELATEOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERFORMULA_TAG NCLOB,
FRELATEOBJFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERJSON_TAG NCLOB,
FTARBILLMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLMAINFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMAINFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UNIONPUSH') 
 CREATE TABLE T_MSISV_UNIONPUSH (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISINVORELATEOBJ CHAR(1) DEFAULT '0' NOT NULL,
FMONITOROBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLFILTERFORMULA_TAG NCLOB,
FSRCBILLFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLFILTERJSON_TAG NCLOB,
FTARBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOTPRULEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRELATEOBJ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERFORMULA_TAG NCLOB,
FRELATEOBJFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRELATEOBJFILTERJSON_TAG NCLOB,
FSRCBILLMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLMAINFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARBILLMAINFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMAINFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEOBJMAINFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_ECOLOGICMONITOR') 
 CREATE TABLE T_MSISV_ECOLOGICMONITOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOROBJ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOROPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBIZAPP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERFORMULA_TAG NCLOB,
FFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERJSON_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UPOPERATEENTRY') 
 CREATE TABLE T_MSISV_UPOPERATEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONFORMULA_TAG NCLOB,
FCONDITIONJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONJSON_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
